Announcement

Collapse
No announcement yet.

Keyserver error installing FR24 on piaware

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • abcd567
    replied
    Another solution for GPG Key issue is as follows:

    Code:
    sudo apt-get update --allow-unauthenticated  
    sudo apt-get update --allow-insecure-repositories  
    sudo apt-get -y --allow-unauthenticated install fr24feed  
    
    ​

    Leave a comment:


  • abcd567
    replied
    Install it as shown below:

    Code:
    wget http://repo-feed.flightradar24.com/rpi_binaries/fr24feed_1.0.41-0_armhf.deb  
    
    sudo dpkg -i fr24feed_1.0.41-0_armhf.deb

    Signup will automatically start at the end of installation.
    If it dos not start automatically, use following command to start it:

    Code:
    sudo fr24feed --signup

    .

    Leave a comment:


  • Charlie3
    started a topic Keyserver error installing FR24 on piaware

    Keyserver error installing FR24 on piaware

    I am trying to feed fr24 from my piaware install and keep getting an error related to keyservers

    Code:
    Linux piaware 5.15.76-v7+ #1597 SMP Fri Nov 4 12:13:17 GMT 2022 armv7l
    
    The programs included with the Debian GNU/Linux system are free software;
    the exact distribution terms for each program are described in the
    individual files in /usr/share/doc/*/copyright.
    
    Debian GNU/Linux comes with ABSOLUTELY NO WARRANTY, to the extent
    permitted by applicable law.
    Last login: Fri Oct 20 03:00:21 2023 from 192.168.1.78
    pi@piaware:~ $ sudo bash -c "$(wget -O - https://repo-feed.flightradar24.com/install_fr24_rpi.sh)"
    --2023-10-20 03:12:15--  https://repo-feed.flightradar24.com/install_fr24_rpi.sh
    Resolving repo-feed.flightradar24.com (repo-feed.flightradar24.com)... 104.16.56.181, 104.16.60.181, 104.16.58.181, ...
    Connecting to repo-feed.flightradar24.com (repo-feed.flightradar24.com)|104.16.56.181|:443... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 1349 (1.3K) [application/x-sh]
    Saving to: ‘STDOUT’
    
    -                                         100%[===================================================================================>]   1.32K  --.-KB/s    in 0s
    
    2023-10-20 03:12:16 (3.51 MB/s) - written to stdout [1349/1349]
    
    Hit:1 http://www.flightaware.com/mirror/raspbian/raspbian bullseye InRelease
    Hit:2 http://www.flightaware.com/adsb/piaware/files/packages bullseye InRelease
    Hit:3 http://www.flightaware.com/mirror/raspberrypi/debian bullseye InRelease
    Reading package lists... Done
    Reading package lists... Done
    Building dependency tree... Done
    Reading state information... Done
    dirmngr is already the newest version (2.2.27-2+deb11u2).
    0 upgraded, 0 newly installed, 0 to remove and 109 not upgraded.
    Warning: apt-key is deprecated. Manage keyring files in trusted.gpg.d instead (see apt-key(8)).
    Executing: /tmp/apt-key-gpghome.p6cZGLQmTe/gpg.1.sh --recv-key --keyserver keyserver.ubuntu.com C969F07840C430F5
    gpg: keyserver receive failed: Server indicated a failure
    Warning: apt-key is deprecated. Manage keyring files in trusted.gpg.d instead (see apt-key(8)).
    Executing: /tmp/apt-key-gpghome.O45P75EB6f/gpg.1.sh --recv-key --keyserver pool.sks-keyservers.net C969F07840C430F5
    gpg: keyserver receive failed: Server indicated a failure
    Warning: apt-key is deprecated. Manage keyring files in trusted.gpg.d instead (see apt-key(8)).
    Executing: /tmp/apt-key-gpghome.EW59UksQcg/gpg.1.sh --recv-key --keyserver pgp.mit.edu C969F07840C430F5
    gpg: keyserver receive failed: Server indicated a failure
    pi@piaware:~ $
    ​
    I've tried to update my DNS to 8.8.8.8 and 8.8.4.4 on piaware and on my router and I get the same error.

    I previously fed to fr24, but had an SD card failure and reinstalled piaware (which is working and feeding to FA), but I cannot get the fr24 feeding to work.

    Any help would be appreciated.
Working...
X